---
- name: Manage Audit Policy System
  community.windows.win_audit_policy_system:
    audit_type: "{{ item['audit_type'] }}"
    category: "{{ item['category'] | default(omit) }}"
    subcategory: "{{ item['subcategory'] | default(omit) }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['audit_type'] }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_audit_policy_system
